fortify-multcomp {ggplot2} | R Documentation

## Fortify methods for objects produced by multcomp

### Description

Fortify methods for objects produced by multcomp

### Usage

    ## S3 method for class 'glht'
    fortify(model, data, ...)

    ## S3 method for class 'confint.glht'
    fortify(model, data, ...)

    ## S3 method for class 'summary.glht'
    fortify(model, data, ...)

    ## S3 method for class 'cld'
    fortify(model, data, ...)

### Arguments

`model` | an object of class `glht`, `confint.glht`, `summary.glht` or `cld`
`data, ...` | other arguments to the generic ignored in this method.

### Examples

    if (require("multcomp")) {
    amod <- aov(breaks ~ wool + tension, data = warpbreaks)
    wht <- glht(amod, linfct = mcp(tension = "Tukey"))

    fortify(wht)
    ggplot(wht, aes(lhs, estimate)) + geom_point()

    CI <- confint(wht)
    fortify(CI)
    ggplot(CI, aes(lhs, estimate, ymin = lwr, ymax = upr)) +
       geom_pointrange()

    fortify(summary(wht))
    ggplot(mapping = aes(lhs, estimate)) +
       geom_linerange(aes(ymin = lwr, ymax = upr), data = CI) +
       geom_point(aes(size = p), data = summary(wht)) +
       scale_size(trans = "reverse")

    cld <- cld(wht)
    fortify(cld)
    }

[Package ggplot2 version 2.1.0 Index]